length.XMLNode {XML} | R Documentation

## Determine the number of children in an XMLNode object.

### Description

This function is a simple way to compute the number of sub-nodes (or children) an `XMLNode` object possesses. It is provided as a convenient form of calling the `xmlSize` function.

### Usage

    ## S3 method for class 'XMLNode'
    length(x)

### Arguments

`x` | the `XMLNode` object whose length is to be queried.

### Value

An integer giving the number of sub-nodes of this node.

### Author(s)

Duncan Temple Lang

### References

http://www.w3.org/XML, http://www.jclark.com/xml, http://www.omegahat.net

### See Also

`xmlSize` `xmlChildren`

### Examples

      doc <- xmlTreeParse(system.file("exampleData", "mtcars.xml", package="XML"))
      r <- xmlRoot(doc, skip=TRUE)
      length(r)
        # get the last entry
      r[[length(r)]]

[Package XML version 3.98-1.4 Index]